
QGIS Application - Bug report #16270

Modeler does not work on QGIS master

2017-03-03 02:45 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24180

Description

TypeError: arguments did not match any overloaded call:   QSize(): too many arguments   QSize(int, int): argument 1 has unexpected type

'str'   QSize(QSize): argument 1 has unexpected type 'str' 

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\ProcessingPlugin.py", line 176, in openModeler

    dlg = ModelerDialog()

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\processing\\modeler\\ModelerDialog.py", line 217, in init

    self.mToolbar.setIconSize(QSize(iconSize, iconSize))

TypeError: arguments did not match any overloaded call:

  QSize(): too many arguments

  QSize(int, int): argument 1 has unexpected type 'str'

  QSize(QSize): argument 1 has unexpected type 'str'

Associated revisions

Revision b0dc9f85 - 2017-03-16 03:56 AM - Nyall Dawson

[processing] Fix error when opening modeler (fix #16270)

History

#1 - 2017-03-15 08:18 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"b0dc9f8517fe22462341ec4e01eaeec9c7c3234e".
